﻿Imports Infragistics.Win
Imports Infragistics.Win.UltraWinTabs
Imports Infragistics.Win.UltraWinToolbars

Public Class Form1

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        UltraDockManager1.CreationFilter = New CreationUIElement()
        UltraToolbarsManager1.CreationFilter = New RibbonCreationUIElement()

        Me.BackColor = Color.White
        UltraDockManager1.DefaultPaneSettings.Appearance.BackColor = Color.White
        UltraDockManager1.DefaultPaneSettings.ShowCaption = Infragistics.Win.DefaultableBoolean.False
        UltraDockManager1.DefaultPaneSettings.PaddingTop = 3
        UltraDockManager1.DefaultPaneSettings.PaddingRight = 3
        UltraDockManager1.DefaultPaneSettings.PaddingLeft = 3
        UltraDockManager1.DefaultPaneSettings.PaddingBottom = 3
        UltraDockManager1.SplitterBarWidth = 3
        UltraDockManager1.SplitterBarAppearance.ImageBackground = My.Resources.Resource1.Image1

        UltraDockManager1.LayoutStyle = Infragistics.Win.UltraWinDock.DockAreaLayoutStyle.FillContainer
    End Sub

    Private Sub UltraToolbarsManager1_ToolClick(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinToolbars.ToolClickEventArgs) Handles UltraToolbarsManager1.ToolClick
        Select Case e.Tool.Key
            Case "Result"
                Dim oForm As New Form2
                oForm.Show()

        End Select
    End Sub
End Class

Public Class CreationUIElement
    Implements IUIElementCreationFilter

    Private Sub IUIElementCreationFilter_AfterCreateChildElements(parent As UIElement) Implements IUIElementCreationFilter.AfterCreateChildElements
        Dim tr As TabGroupUIElement = TryCast(parent, TabGroupUIElement)
        If tr IsNot Nothing Then
            tr.Offset(0, 3)
        End If

    End Sub
    Private Function IUIElementCreationFilter_BeforeCreateChildElements(parent As UIElement) As Boolean Implements IUIElementCreationFilter.BeforeCreateChildElements
        Return False
    End Function

End Class

Public Class RibbonCreationUIElement
    Implements IUIElementCreationFilter

    Private Sub IUIElementCreationFilter_AfterCreateChildElements(parent As UIElement) Implements IUIElementCreationFilter.AfterCreateChildElements
        Dim item As RibbonTabItemUIElement = TryCast(parent, RibbonTabItemUIElement)
        If item IsNot Nothing Then
            If item.TabItem.Index = 0 Then
                item.Rect = New Rectangle(item.Rect.X, item.Parent.Rect.Y + 3, item.Rect.Width, 20)
            End If
            If item.TabItem.Index = 1 Then
                item.Rect = New Rectangle(item.Rect.X, item.Parent.Rect.Y + 8, item.Rect.Width, 14)
            End If
        End If
    End Sub
    Private Function IUIElementCreationFilter_BeforeCreateChildElements(parent As UIElement) As Boolean Implements IUIElementCreationFilter.BeforeCreateChildElements
        Return False
    End Function
End Class


